const std = @import("std");

pub const jetzig = @import("jetzig.zig");
pub const manifest = @import("app/views/manifest.zig");

pub fn main() !void {
    var gpa = std.heap.GeneralPurposeAllocator(.{}){};
    defer std.debug.assert(gpa.deinit() == .ok);
    const allocator = gpa.allocator();

    const app = try jetzig.init(allocator);
    defer app.deinit();

    try app.start(
        comptime jetzig.route(manifest.routes),
        comptime jetzig.loadTemplates(manifest.templates),
    );
}
